package fr.emse.gitlab.saref.vocabs;

import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;
import org.apache.jena.rdf.model.ResourceFactory;

public class RDFP {
	public static final String NS = "https://w3id.org/rdfp/";
	public static final Property presentedBy = ResourceFactory.createProperty(NS + "presentedBy");
	public static final Property presentationFor = ResourceFactory.createProperty(NS + "presentationForq");
	public static final Property loweringRule = ResourceFactory.createProperty(NS + "loweringRule");
	public static final Property liftingRule = ResourceFactory.createProperty(NS + "liftingRule");
	public static final Property validationRule = ResourceFactory.createProperty(NS + "validationRule");
	public static final Resource Graph = ResourceFactory.createResource(NS + "Graph");
	public static final Resource Resource = ResourceFactory.createResource(NS + "Resource");
	public static final Property representedBy = ResourceFactory.createProperty(NS + "representedBy");
	public static final Property mediaType = ResourceFactory.createProperty(NS + "mediaType");
	public static final Property alias = ResourceFactory.createProperty(NS + "alias");
	public static final Property describedBy = ResourceFactory.createProperty(NS + "describedBy");
	public static final Property filePath = ResourceFactory.createProperty(NS + "filePath");
	public static final Resource Ontology = ResourceFactory.createResource(NS + "Ontology");
	public static final Property fileSelector = ResourceFactory.createProperty(NS + "fileSelector");
}